summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Jackson <ajax@redhat.com>2018-03-01 14:29:42 -0500
committerAdam Jackson <ajax@redhat.com>2018-03-01 14:29:42 -0500
commit76475b65586900ac9382eee9d909d5f56d599946 (patch)
tree4df2a59edcdfb4382d91ce8d65fa22d7dee7ac6c
parent04797d4f1c00c42d828608d05f8c72fcab07f0b8 (diff)
Deprecate bigreqsprotoHEADmaster
Signed-off-by: Adam Jackson <ajax@redhat.com>
-rw-r--r--Makefile.am22
-rwxr-xr-xautogen.sh19
-rw-r--r--configure.ac20
-rw-r--r--specs/Makefile.am13
4 files changed, 4 insertions, 70 deletions
diff --git a/Makefile.am b/Makefile.am
deleted file mode 100644
index d39cc1e..0000000
--- a/Makefile.am
+++ /dev/null
@@ -1,22 +0,0 @@
-SUBDIRS=specs
-
-bigreqsdir = $(includedir)/X11/extensions
-bigreqs_HEADERS = \
- bigreqsproto.h \
- bigreqstr.h
-
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = bigreqsproto.pc
-
-
-MAINTAINERCLEANFILES = ChangeLog INSTALL
-
-.PHONY: ChangeLog INSTALL
-
-INSTALL:
- $(INSTALL_CMD)
-
-ChangeLog:
- $(CHANGELOG_CMD)
-
-dist-hook: ChangeLog INSTALL
diff --git a/autogen.sh b/autogen.sh
index 00747fd..1facbd4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,17 +1,6 @@
-#! /bin/sh
+#!/bin/sh
-srcdir=`dirname "$0"`
-test -z "$srcdir" && srcdir=.
+echo "This module has been deprecated. Use xorgproto instead:"
+echo "git clone git://anongit.freedesktop.org/git/xorg/proto/xorgproto"
-ORIGDIR=`pwd`
-cd "$srcdir"
-
-autoreconf -v --install || exit 1
-cd "$ORIGDIR" || exit $?
-
-git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
- git config --local format.subjectPrefix "PATCH bigreqsproto"
-
-if test -z "$NOCONFIGURE"; then
- exec "$srcdir"/configure "$@"
-fi
+exit 1
diff --git a/configure.ac b/configure.ac
deleted file mode 100644
index 79da47d..0000000
--- a/configure.ac
+++ /dev/null
@@ -1,20 +0,0 @@
-AC_PREREQ([2.60])
-AC_INIT([BigReqsProto], [1.1.2],
- [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg])
-AM_INIT_AUTOMAKE([foreign dist-bzip2])
-
-# Require xorg-macros minimum of 1.12 for DocBook external references
-m4_ifndef([XORG_MACROS_VERSION],
- [m4_fatal([must install xorg-macros 1.12 or later before running autoconf/autogen])])
-XORG_MACROS_VERSION(1.12)
-XORG_DEFAULT_OPTIONS
-XORG_ENABLE_SPECS
-XORG_WITH_XMLTO(0.0.22)
-XORG_WITH_FOP
-XORG_WITH_XSLTPROC
-XORG_CHECK_SGML_DOCTOOLS(1.8)
-
-AC_CONFIG_FILES([Makefile
- specs/Makefile
- bigreqsproto.pc])
-AC_OUTPUT
diff --git a/specs/Makefile.am b/specs/Makefile.am
deleted file mode 100644
index 5917b8f..0000000
--- a/specs/Makefile.am
+++ /dev/null
@@ -1,13 +0,0 @@
-
-if ENABLE_SPECS
-
-# Main DocBook/XML files (DOCTYPE book)
-docbook = bigreq.xml
-
-# The location where the DocBook/XML files and their generated formats are installed
-shelfdir = $(docdir)
-
-# Generate DocBook/XML output formats with or without stylesheets
-include $(top_srcdir)/docbook.am
-
-endif ENABLE_SPECS